[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [libvirt-java] git commit: Fix memory leaks for libvirt functions returning newly allocated memory. (3220de)



Hi,

I just wanted to build the latest libvirt-java master on my Ubuntu 12.04 laptop and it failed due to this commit.

The commit message says: "Use JNA's Native.free() method to free memory. This requires JNA version 3.3.0 or later."

Ubuntu 12.04 comes with JNA 3.2.7-4, so the build fails.

Is there a way to still build and run on Ubuntu 12.04? This is a 5-year LTS release from Ubuntu so we'll be seeing this around until 2017.

I'm working on the patches I sent last week and got some good feedback.

We (the Apache CloudStack project) rely heavily on libvirt-java for virtual machine management when using the KVM Hypervisor, so I'd like to keep the bindings working on Ubuntu 12.04 :)

Thanks,

Wido


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]